UiPath Documentation
automation-suite
2.2510
true
Automation Suite API guide

Delete a client secret

Delete a specific client secret for an external OAuth client in an Automation Suite organization using the Identity API, including required scope and response codes.

Delete a client secret.

API endpoint

DELETE https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/{partitionGlobalId}/secrets/{secretId}

Scopes

Requires either one of the following scopes:

  • PM.OAuthApp
  • PM.OAuthApp.Write
  • PM.OAuthAppSecret.Write

Request headers

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:

To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.

Request body

The request body contains the organization ID, and the ID of the client secret you want to delete.

{
  "partitionGlobalId": "<organizationId>",
  "secretId": "<secretId>"
}
{
  "partitionGlobalId": "<organizationId>",
  "secretId": "<secretId>"
}

Responses

204 No content

The client secret has been successfully deleted. No value is returned.

  • API endpoint
  • Scopes
  • Request headers
  • Request body
  • Responses
  • 204 No content

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated